Subject: Re: [PATCH v11 00/12] fsmonitor: implement filesystem change listener for Linux

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 30 Mar 2026 13:40:10 +0200

On Wed, Mar 25, 2026 at 01:00:48PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > On Thu, Mar 05, 2026 at 06:55:00AM +0000, Paul Tarjan via GitGitGadget wrote:
> >> Changes since v10:
> >> 
> >>  * Reverted pre_exec_cb callback back to simple close_fd_above_stderr flag
> >>    per Junio's clarification (same as v8)
> >
> > One ask from my side: I would welcome it if you slowed down a bit with
> > sending out new versions. Sending three different versions within a
> > couple hours without any reviews in between makes me pause, as I have no
> > idea whether the current version is good to be reviewed or whether I
> > should expect another 5 rerolls.
> >
> > So please take a bit more time to work feedback into your patch series
> > before sending out the next version. It's totally fine to wait a couple
> > days between iterations.
> >
> > Also, could you please clarify whether the patch series has been written
> > by AI and if so, which parts of it are?
> >
> > Thanks!
> >
> > Patrick
> 
> The topic went totally silent after this message; is this topic
> still viable?

I didn't have the capacity recently to focus on this patch series.

Also, I think we need to be extra careful with merging this patch series
as it's written mostly by AI as far as I understood. So I don't quite
feel comfortable to ACK this series by myself, as I'm not sure to what
degree the code is understood and reasoned about by anyone.

I'm not against merging it in general, but if we want to merge it I
would like to have at least one more thorough review by somebody who
understands this area before I feel comfortable committing to it and
maintaining the code going forward.

Thanks!

Patrick